{
  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs";
    flake-utils.url = "github:numtide/flake-utils";
    blog-source = {
      flake = false;
      url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
      type = "git";
      submodules = true;
    };
    blog-source-localized = {
      flake = false;
      url = "https://dev.danilafe.com/Web-Projects/blog-static.git";
      ref = "localization";
      type = "git";
      submodules = true;
    };
  };

  outputs = { self, blog-source, blog-source-localized, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (
      system:
        let
          pkgs = import nixpkgs { inherit system; };
          blog = import ./default.nix {
            inherit blog-source blog-source-localized pkgs;
          };
        in
          {
            packages = {
              english = blog.english;
              "drafts/russian" = blog.drafts.russian;
              "drafts/english" = blog.drafts.english;
            };
            defaultPackage = blog.english;
          }
    );
}
